LinuxQuestions.org
Help answer threads with 0 replies.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie
User Name
Password
Linux - Newbie This Linux forum is for members that are new to Linux.
Just starting out and have a question? If it is not in the man pages or the how-to's this is the place!

Notices


Reply
  Search this Thread
Old 01-17-2010, 07:53 PM   #1
trist007
Senior Member
 
Registered: May 2008
Distribution: Slackware
Posts: 1,033

Rep: Reputation: 69
I have a question about openssl...


I run Slackware 13.0 I have openssl 0.9.8k.

I am trying to use PAM in dovecot. However, dovecot logs say that I do not have dovecot compiled for passdb driver '.

So I recompile dovecot with pam support and I get'can't build with PAM support: libpam not found'.

So, what should be my next step. Download openssl 0.9.8k source? I mean, I have this version installed already. How would I just install the devel package only. I'm using slackware. I don't use a package manager and I've checked slackbuilds, but there's nothing.

Or should I install linux-pam 1.1.0?

Last edited by trist007; 01-17-2010 at 07:55 PM.
 
Old 01-17-2010, 08:03 PM   #2
Quakeboy02
Senior Member
 
Registered: Nov 2006
Distribution: Debian Squeeze 2.6.32.9 SMP AMD64
Posts: 3,318

Rep: Reputation: 126Reputation: 126
So, do you have the libpam development package installed? I can't tell you what it would be in slackware, but in debian, I believe the package is libpam0g-dev.
 
Old 01-17-2010, 08:08 PM   #3
trist007
Senior Member
 
Registered: May 2008
Distribution: Slackware
Posts: 1,033

Original Poster
Rep: Reputation: 69
I installed linux-pam-1.1.0 and it solved the issue.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
Openssl Certificate Generation Question AES richinsc Linux - Security 11 09-18-2008 10:48 AM
oops openssl-0.9.8e over openssl-0.9.8d bad install now 2 copies? rcorkum Slackware 4 06-29-2007 01:58 AM
OpenSSL question depdiver Linux - Security 1 03-28-2005 04:15 PM
question about OpenSSL mantat Linux - Security 7 06-12-2003 09:06 PM
Question about openssl update ?? chuck77 Linux - General 3 11-21-2002 04:11 PM

LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie

All times are GMT -5. The time now is 06:59 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration